package com.chinacreator.ecd.changshipa.mapper;

import com.chinacreator.ecd.changshipa.bean.ChangshiPublicAccountChannel;
import com.chinacreator.ecd.changshipa.bean.ChangshiPublicAccountTemplate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 畅视公众号渠道与模板消息配置信息
 */
@Mapper
public interface ChangshiPublicAccountMapper {

    @Select({"<script>",
            "select a.productid, b.productname, elementid, a.busiid, a.templateid, a.params, b.price from ( " +
            "select productid, productname, elementid, busiid, templateid, params from tb_changshi_publicaccount_template where status='0') a " +
            "join (select productid, productname, price from tb_directed_product group by productid, productname) b where a.productid=b.productid ",
            "</script>"})
    List<ChangshiPublicAccountTemplate> queryTemplates();

    @Select({"<script>",
            "select productid, productname, orderchannel from tb_changshi_publicaccount_channel where status='0'",
            "</script>"})
    List<ChangshiPublicAccountChannel> queryChannels();

}
