package com.chinacreator.ecd.changshipa.restrain;

public enum ReqEnum {

    OK("0000", "成功"),

    OK_yuyue("0000", "恭喜您预约升级成功，预约结果以短信告知为准"),
    //预约退订原有套餐失败
    No_yuyue_cancel("2011", "预约退订原有套餐失败!"),
    //预约信息存入失败
    No_yuyue_inset("2012", "预约失败!"),
    /**
     * 用户未订购相关产品!
     */
    No_acti_null("2013", "用户未订购相关产品!"),
    //预约信息存入失败
    No_yuyue_type("2014", "当前只支持4G用户办理!"),
    /**
     * 渠道不存在同步业务
     */
    No_tongbu_sou("3011", "此渠道不存在同步业务"),

    //活动组编码未找到或,当前活动不在时间区间中
    ERROR_No_festival_found("4011", "不在活动时间内!"),
    //未查询到相关数据
    ERROR_No_sou_found("4012", "订购渠道不正确!"),
    //未查询到相关数据
    ERROR_No_data_found("4013", "未查询到相关信息!"),
    /**
     * 验证码不正确,请稍后重试!
     */
    ERROR_No_code_found("4014", "验证码不正确,请稍后重试!"),
    //未查询到订购关系
    ERROR_No_ordr_found("4015", "未查询到订购关系!"),
    //订购成功激活失败
    ERROR_No_act_found("4016", "订购成功,激活超时,请手动激活!"),

    //数据查询sql异常
    ERROR_Exception_db_sql("5011", "数据查询异常!"),
    //数据加密异常错误
    ERROR_Exception_encrypt_decrypt("5012", "数据异常,请稍后再试!"),
    //数据解密异常错误
    ERROR_Exception_aesutil_decrypt("5013", "数据参数不正确!"),
    //请求异常
    ERROR_Exception_request_decrypt("5014", "请求异常!"),
    //
    ERROR_Exception_system_decrypt("5015", "系统异常!"),

    ERROR_BLOCK_ACCESS("5015", "禁止访问本页面"),

    ERROR_EXPIRED("5016", "会话过期，请重新登录！"),

    ERROR_MISSING_REQUIRE_PARAMETER("5017", "缺少必填参数！");

    private String resultCode;
    private String errorInfo;
    ReqEnum(String resultCode, String errorInfo) {
        this.resultCode = resultCode;
        this.errorInfo = errorInfo;
    }

    public static void main(String[] args) { // 静态方法
        for (ReqEnum s : ReqEnum.values()) {
            System.out.println("code: " + s.getResultCode() + ", getErrorInfo: " + s.getErrorInfo());
        }
    }

    public String getResultCode() {
        return resultCode;
    }

    public String getErrorInfo() {
        return errorInfo;
    }

}
