package com.chinacreator.ecd.flowstatus;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowstatusMapper {

    //INSERT INTO tl_traffic_sync (syncid,element_id, add_product_id, used_value, percent, remain,
    //		kafka_type, serial_number, user_id, deal_time,deal_with_time, province_code, eparchy_code,statu, insert_time)
    //	VALUES (#[syncid],#[element_id], #[add_product_id], #[used_value], #[percent], #[remain],
    //		#[kafka_type], #[serial_number], #[user_id], #[deal_time],#[deal_with_time], #[province_code], #[eparchy_code],#[statu], #[insert_time])

    @Insert({"<script>", "insert into tl_flow_status(syncid, serial_number, element_id, remain, deal_with_time, percent, eparchy_code, add_product_id, used_value, province_code, recieve_time) values ",
            "<foreach collection='list' item='item' index='index' separator=','>",
            "(#{item.id}, #{item.serialNumber}, #{item.elementId}, #{item.remain}, #{item.dealTime}, #{item.percent}, #{item.eparchyCode}, #{item.addProductId}, #{item.usedValue}, #{item.provinceCode}, #{item.recieveTime})", "</foreach>", "</script>"})
    void save(@Param("list") List<FlowstatusEntity> list);

}
